Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.schemas.v1
Class ApplicationBTCAdjustmentType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.schemas.v1.ApplicationBTCAdjustmentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class ApplicationBTCAdjustmentType

extends Object
implements Serializable

Generiek type voor de aanpassingen BTC.

Java class for ApplicationBTCAdjustmentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ApplicationBTCAdjustmentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType" minOccurs="0"/>
             <element name="EstimatedPrice" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType"/>
             <element name="Description" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Motivation" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ApplicationBTCAdjustmentType()`

Method Summary
`String` | `getCareServiceCode()` Gets the value of the careServiceCode property.
`String` | `getDescription()` Gets the value of the description property.
`BigDecimal` | `getEstimatedPrice()` Gets the value of the estimatedPrice property.
`String` | `getMotivation()` Gets the value of the motivation property.
`void` | `setCareServiceCode(String value)` Sets the value of the careServiceCode property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setEstimatedPrice(BigDecimal value)` Sets the value of the estimatedPrice property.
`void` | `setMotivation(String value)` Sets the value of the motivation property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationBTCAdjustmentType

    public ApplicationBTCAdjustmentType()

Method Detail

### getCareServiceCode

    public String getCareServiceCode()

  Gets the value of the careServiceCode property.

  Returns:
    possible object is `String`

### setCareServiceCode

    public void setCareServiceCode(String value)

  Sets the value of the careServiceCode property.

  Parameters:
    `value` - allowed object is `String`

### getEstimatedPrice

    public BigDecimal getEstimatedPrice()

  Gets the value of the estimatedPrice property.

  Returns:
    possible object is `BigDecimal`

### setEstimatedPrice

    public void setEstimatedPrice(BigDecimal value)

  Sets the value of the estimatedPrice property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getMotivation

    public String getMotivation()

  Gets the value of the motivation property.

  Returns:
    possible object is `String`

### setMotivation

    public void setMotivation(String value)

  Sets the value of the motivation property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.